Managed Service for OpenSearch API, REST: User.List
Returns the list of users for the specified OpenSearch cluster.
HTTP request
GET https://mdb.api.yandexcloud.kz/managed-opensearch/v1/clusters/{clusterId}/users
Path parameters
|
Field |
Description |
|
clusterId |
string Required field. Required. ID of the OpenSearch cluster. The maximum string length in characters is 50. |
Query parameters
|
Field |
Description |
|
pageSize |
string (int64) The maximum number of results per page to return. Acceptable values are 0 to 1000, inclusive. |
|
pageToken |
string Page token. Set it to the The maximum string length in characters is 100. |
Response
HTTP Code: 200 - OK
{
"users": [
{
"name": "string",
"connectionManager": {
"connectionId": "string"
}
}
],
"nextPageToken": "string"
}
|
Field |
Description |
|
users[] |
Requested list of OpenSearch users. |
|
nextPageToken |
string Token for getting the next page of results. |
User
An OpenSearch user.
|
Field |
Description |
|
name |
string Name of the user. |
|
connectionManager |
Connection Manager connection associated with the user. Read only field. |
ConnectionManager
|
Field |
Description |
|
connectionId |
string ID of the Connection Manager connection. |